<h3>{{titulo}}</h3>
<hr/>

<form #formProducto="ngForm" (ngSubmit)="onSubmit()" id="form-producto" class="col-lg-6">
	
	<label>
		Nombre
      <span *ngIf="!nombre.valid && nombre.touched" class="label label-danger">nombre es obligatorio</span>
	</label>
	<input type="text" #nombre="ngModel" name="nombre" [(ngModel)]="producto.nombre" class="form-control" required>


	<label>
			Descripcion
			<span *ngIf="!descripcion.valid && descripcion.touched" class="label label-danger">descripción obligatorio</span>
	</label>
	<textarea #descripcion="ngModel" name="descripcion" [(ngModel)]="producto.descripcion" class="form-control" required></textarea>

	<label>
		Precio
		<span *ngIf="!precio.valid && precio.touched" class="label label-danger">precio no es correcto</span>
	</label>
	<input type="text" #precio="ngModel" name="precio" [(ngModel)]="producto.precio" class="form-control" required pattern="[0-9]+">

	<label>Imagen</label>
	<div *ngIf="is_edit">
		<div class="thumbnail">
			<div class="img-container" *ngIf="producto.imagen">
				<img src="{{url}}uploads/{{producto.imagen}}" class="producto-foto"  />
			</div>
		</div>
	</div>

	<input type="file" (change)="fileChangeEvent($event)" class="form-control">
    
	

	<br><br>
	<input type="submit" class="btn-success" [disabled]="!formProducto.form.valid" value="Guardar">

</form>